import { IsUUID, MaxLength, MinLength } from 'class-validator';
import { DefaultValuePipe } from '@nestjs/common';


export class CreateFilesDto {
  @MaxLength(128)
  @MinLength(4)
  fileName: string;

  @MaxLength(64)
  @MinLength(2)
  uploadedBy: string;

  isDocumentation?: boolean;
  isRestricted?: boolean;

  @IsUUID()
  groupId: string;
}